Subject: bug#62994: [PATCH v3 0/1] Support styled underlines on tty Emacs frames

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jan 2024 14:05:32 +0200

> From: Mohsin Kaleem <[email-masked]>
> Date: Sun, 28 Jan 2024 12:30:25 +0100
> 
> [email-masked] writes:
> 
> My copyright situation should be solved now. I was waiting on something
> else from my work but would rather not put this off any longer.

That's good to know, thanks.

> I've
> figured out how to do the correct resolution for color. Only thing
> that's confusing me a little is that in src/xfaces:6466 for
> map_tty_color it looks like we change the color in the face spec itself
> only on MSDOS frames. What are the ramifications of this? Is this logic
> we want to keep going forward?

The MSDOS frames are different from other TTY frames in that we can
know the default colors used by the MSDOS terminals.  That's why MSDOS
needs a special code there.  And yes, we want to keep this logic, for
MSDOS only.

> For reference I don't this should be done for the underline spec
> because unlike foreground and background it can be a string or a
> plist containing the color value and we would not want to update it
> in place.

The MSDOS terminal doesn't support underline, so no worries here.